Skip to main content
GET
/
api
/
v1
/
markets
List markets
curl --request GET \
  --url https://api.allium.so/api/v1/markets \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "market_id": "<string>",
      "venue": "<string>",
      "base_asset": {
        "dasid": "<string>",
        "symbol": "<string>"
      },
      "quote_asset": {
        "dasid": "<string>",
        "symbol": "<string>"
      },
      "settlement": "<string>",
      "active": true,
      "tick_size": 123,
      "contract_size": 123,
      "perp": {
        "funding_interval": 123,
        "max_leverage": 123
      }
    }
  ],
  "cursor": "<string>"
}
Alpha — The Market Data API is in alpha. Schema and response format may change. To request access, contact us or reach out to your account manager.
Each market is identified by a canonical market_id of the form {venue}:{instrument_type}:{pair} (e.g. hl:perp:BTC-USDC). Use the cursor in the response to page through results.
Hyperliquid is the only venue available today. More venues (e.g. Binance, dYdX, Uniswap) are coming soon — to request a specific one, reach out to your account manager.

Authorizations

X-API-KEY
string
header
required

Query Parameters

venue
string

Filter by venue (lowercase). Hyperliquid is the only venue today.

instrument_type
enum<string>

Filter by instrument type.

Available options:
perp,
spot
base_asset
string

Filter by base asset symbol or dasid.

quote_asset
string

Filter by quote asset symbol or dasid.

active
boolean

Filter by active status.

limit
integer
default:100

Maximum markets to return (1–1000).

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response.

Response

200 - application/json

A page of markets.

items
object[]
required
cursor
string

Cursor for the next page. Absent when there are no more results.